Subject: bug#54949: closed (Re: bug#54949:)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 19 Apr 2022 12:03:02 +0000

Your bug report

#54949: 13.1.2; Indentation for matrix environments

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54949: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54949
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54949:
From: Arash Esbati <[email-masked]>
To: Robert Morelli <[email-masked]>
Cc: Keita Ikumi <[email-masked]>, [email-masked]
Date: Tue, 19 Apr 2022 14:01:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Robert Morelli <[email-masked]> writes:

> Reverting Emacs has been easy, but I don't know how to get back to
> AUCTeX 12.x. If you can suggest how I can do this, I would be
> grateful.

The recipe provided in the other response should work, it is also
described here[1].

> It is my opinion that Emacs development from this point forward should
> transition to legacy mode, with bug fixes and adaptations to OS
> upgrades, but with no further changes in behavior.

I suggest you take this comment to [email-masked] if you want to
discuss it seriously with the Emacs maintainers.

> New development should be diverted to using cross-editor technologies
> like language server protocol,

You can use LSP servers with Emacs through one of these clients:

 • https://github.com/joaotavora/eglot
 • https://github.com/emacs-lsp/lsp-mode

> Those few of us who are still using Emacs are not eager to invest time
> adapting to new and potentially problematic behaviors, especially
> since almost all of us are probably already transitioning to other
> editors.
>
> If I may suggest, I would be happy to have the functionality of AUCTeX
> available in alternative editors. I think this would be welcomed by a
> much larger group of potential users than Emacs will likely ever again
> have.

As always, this means that someone(™) has to do the job.  AUCTeX's
source code is available, if that someone wants to get an idea how it's
done in elisp.

I don't see we're discussing a bug, hence I'm closing this report.
Please feel free to re-open if a bug discussion will happen.

Best, Arash

Footnotes:
[1]  https://www.emacswiki.org/emacs/ELPA#h5o-10

Subject: 13.1.2; Indentation for matrix environments
From: Robert Morelli <[email-masked]>
To: [email-masked]
Date: Fri, 15 Apr 2022 02:31:32 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

The only way I can get the indentation to work with matrix environments
like matrix, bmatrix, etc. is to start the line with \begin{matrix}. For
instance, putting:
Let $E = \begin{bmatrix}
1 & 0\\
0 & 1
\end{bmatrix}$ be the
identity matrix.
results in the indentation being offset for the remainder of the file.

Emacs : GNU Emacs 28.1 (build 1, x86_64-apple-darwin18.7.0, NS 
appkit-1671.60 Version 10.14.6 (Build 18G95))
of 2022-04-04
Package: 13.1.2

current state:
==============
State could not be dumped due to the following error:

(void-function ,)

You should still send this bug report.

-- 
Robert Morelli
Department of Mathematics
Salt Lake Community College